Subject: bug#33343: Error bind mounting `/dev/full' to /gnu/store/... on reconfigure.

From: Brendan Tildesley <[email-masked]>
Date: Sun, 11 Nov 2018 19:18:50 +1100

I'm trying to reconfigure with the latest guix after 2 months. I'm able

to build my system with guix system vm, but when I try to reconfigure I
get the following error. I tried removing ecryptfs-utils from my
configuration, but then I just get the same error with a different store
item. i have   80GiB of free space, and according to tune2fs, 50 million
free inodes.

|guix system: error: build failed: |   |   |   bind mounting `/dev/full' to `/gnu/store/6cnyn2ygaa4h4hmfvy4g4kriv6w61ci8-ecryptfs-utils-111.drv.chroot/dev/full'

I also encountered:

root@ui /home/b# guix gc --optimize
cannot link
`/gnu/store/.links/1a52zihpvvw40a3c4x7gqm91q8fwikxqn5c0ppfmk8xdzwnf0jh4' to `/gnu/store/19kffs6k7vq7a777icgwnzzwzqcjqwqa-python-2.7.14/lib/python2.7/site-packages/pip/models/__init__.pyc': No space left on device
cannot link `/gnu/store/.links/15zqnpjy710pql18r1y5kndp20iad49zjij2bmaswwg41zi30y69' to `/gnu/store/8qmkhdc7rkvhh1by90cgr0kjhwwl8b4q-util-macros-1.19.2.drv': No space left on device
cannot link `/gnu/store/.links/18d55pksvj1kg9bx5rhjqgz46xq4q1lpj4f9wc2bk9qrxycb7jjx' to `/gnu/store/cy0gyg5a6a0zcrmm74y4njv810kx3vlj-util-linux-2.31/bin/dmesg': No space left on device
cannot link `/gnu/store/.links/0avgw4kxgph7xvm94g76dzd8gfcc0085lw1wsn96jv94njnxdyfq' to `/gnu/store/n9ym4yl7s55pm57rnc5whjlzjgvxas32-linux-libre-4.16.2/lib/modules/4.16.2-gnu/kernel/drivers/tty/serial/8250/8250_mid.ko': No space left on device
cannot link `/gnu/store/.links/1a52zihpvvw40a3c4x7gqm91q8fwikxqn5c0ppfmk8xdzwnf0jh4' to `/gnu/store/nn4wfppsvqx9x6b53i8xav7nadqg02fj-python-2.7.14/lib/python2.7/site-packages/pip/models/__init__.pyc': No space left on device
cannot link `/gnu/store/.links/1gklhdk2jhwdf3mvhfzkj76d07b89djadbady6w7rdg9cpj8pa1w' to `/gnu/store/s28fmfrq8r0c688x59cj0fcyh2pv87nj-glibc-locales-2.27/lib/locale/2.27/en_SG.UTF-8/LC_TIME': No space left on device

I deleted all my backup profiles, ran guix gc, and these errors went
away after running it a few times.